<ion-header>
  <ion-toolbar>
    <ion-title>login</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  <div class="bg-img">
    <ion-row>
      <ion-col size-xs="3" offset-xs="3">
        <ion-img style="width: 150px;" src="../../assets/auth.png"></ion-img>
      </ion-col>
    </ion-row>
    <form class="form" [formGroup]="validationsForm" (ngSubmit)="loginUser(validationsForm.value)">
      <ion-card>
        <ion-item>
          <ion-label position="floating">Email</ion-label>
          <ion-input type="text" formControlName="email"></ion-input>
        </ion-item>
        <div class="validation-errors">
          <ng-container *ngFor="let validation of validationMessages.email">
            <div class="error-message"
                 *ngIf="validationsForm.get('email').hasError(validation.type) && (validationsForm.get('email').dirty || validationsForm.get('email').touched)">
              {{ validation.message }}
            </div>
          </ng-container>
        </div>
      </ion-card>
      <ion-card>
        <ion-item>
          <ion-label position="floating">Password</ion-label>
          <ion-input type="password" formControlName="password" class="form-control" required></ion-input>
        </ion-item>
        <div class="validation-errors">
          <ng-container *ngFor="let validation of validationMessages.password">
            <div class="error-message"
                 *ngIf="validationsForm.get('password').hasError(validation.type) && (validationsForm.get('password').dirty || validationsForm.get('password').touched)">
              {{ validation.message }}
            </div>
          </ng-container>
        </div>
      </ion-card>
      <ion-button class="submit-btn" type="submit" [disabled]="!validationsForm.valid" color="danger" expand="block">Sign In</ion-button>
      <ion-row>
        <ion-col size="6">
          <ion-button color="success" expand="block" (click)="goToRegisterPage()">Register</ion-button>
        </ion-col>
        <ion-col size="6">
          <ion-button color="medium" expand="block" routerLink="/forgot-password">Forgot Password</ion-button>
        </ion-col>
      </ion-row>


      <label class="error-message">{{errorMessage}}</label>
    </form>
  </div>
</ion-content>
